## Class Auth_Yadis_DiscoveryResult

Description

Contains the result of performing Yadis discovery on a URI.

Located in /Auth/Yadis/Yadis.php (line 48)

Variable Summary
mixed $content_type
mixed $failed
mixed $normalized_uri
mixed $request_uri
mixed $response_text
mixed $xrds
mixed $xrds_uri
Method Summary
Auth_Yadis_DiscoveryResult Auth_Yadis_DiscoveryResult ( $request_uri)
void fail ()
void isFailure ()
void isXRDS ()
array services ()
void usedYadisLocation ()
Variables
mixed $content_type = null (line 63)
mixed $failed = false (line 69)
mixed $normalized_uri = null (line 54)
mixed $request_uri = null (line 51)
mixed $response_text = null (line 66)
mixed $xrds = null (line 60)
mixed $xrds_uri = null (line 58)
Methods
Constructor Auth_Yadis_DiscoveryResult (line 71)
Auth_Yadis_DiscoveryResult Auth_Yadis_DiscoveryResult ( $request_uri)

- $request_uri

fail (line 78)
void fail ()
isFailure (line 83)
void isFailure ()
isXRDS (line 111)
void isXRDS ()
services (line 96)

Returns the list of service objects as described by the XRDS document, if this yadis object represents a successful Yadis discovery.

- return: An array of Auth_Yadis_Service objects

array services ()
usedYadisLocation (line 105)
void usedYadisLocation ()

Documentation generated on Tue, 21 Apr 2009 11:31:34 -0700 by phpDocumentor 1.3.2